package saces.app.gui.table;

import javax.swing.JTextField;


/** Cell editor for whole non-negative numbers in tables. */
public class CardinalNumberCellEditor extends SettingsCellEditor {

public boolean textOkay(String text) {
    try {
        return Integer.parseInt(text) >= 0;
    }
    catch (NumberFormatException nfe) {
        return false;
    }
}

public Object getCellEditorValue() {
    return getComponent() instanceof JTextField
        ? Integer.parseInt(((JTextField)getComponent()).getText())
        : (Integer)0;
}


}
