package saces.app.gui.table;

/** Cell editor for positive floating-point numbers in tables. */
public class PositiveNumberCellEditor extends SettingsCellEditor {

public boolean textOkay(String text) {
    try {
        return Float.parseFloat(text) >= 0;
    }
    catch (NumberFormatException nfe) {
        return false;
    }
}
}
