/*
 *                        s a c e s
 *      Simple Artificial Chemistry Experiment System
 *
 * A semester project Summer 2005 and a diploma project 2006
 *           Berne University of Applied Sciences
 *   HTI School of Engineering and Information Technology
 *             Anthony Aguillon, Daniel Noelpp
 *
 */
package saces.pnp;

import saces.sim.Collision;
import saces.sim.Simulation;


/**
 * This collision response does nothing and allows particles walk through each
 * other like ghosts through walls. It is quite an expensive way of doing
 * nothing because the CollisionDetectore did detect the collisions and
 * collision detection is very expensive.
 */
public class ResponseNone implements Response {

public void response(Collision[] collisions, Simulation simulation) {
}

}