/*
 *                        s a c e s
 *      Simple Artificial Chemistry Experiment System
 *
 * A semester project Summer 2005 and a diploma project 2006
 *           Berne University of Applied Sciences
 *   HTI School of Engineering and Information Technology
 *             Anthony Aguillon, Daniel Noelpp
 *
 */
package saces.pnp;

import saces.sim.Particle;
import saces.sim.Collision;
import saces.sim.Simulation;


/** A simple collision detection algorithm: don't detect any collisions. */
public class DetectorNone implements Detector {

public Collision[] detect(Particle[] particles, Simulation simulation) {
    return new Collision[0];
}

}
